; TIP1018.LSP: ISOTXT.LSP   Isometric Tools   (c)1994, Raymond Beck

(defun C:ISOTXT (/ PT1 TXTSP DEFLT D STY TB SIZ A)
   (setq PT1 (getpoint "\nEnter Text starting point: "))
   (if (= DEFLT nil) (setq DEFLT 0.125))           ; set default text spacing
   (princ "\nEnter Text spacing <") (prin1 DEFLT) (princ">: ")
   (setq TXTSP (getdist PT1))                      ; get text spacing
   (if (= TXTSP nil)  (setq TXTSP DEFLT))          ; set spacing to default
   (IF (/= TXTSP nil) (setq DEFLT TXTSP))          ; set spacing to user defined
   (setq STY (getvar "textstyle"))                 
   (setq TB (tblsearch "style" STY))               ; get current text style
   (setq SIZ (cdr (assoc 40 TB)))                  ; get current text height
   (if (= SIZ 0.0)                                 ; if 0, do:
      (progn
         (princ "\nEnter Text height <") (princ (getvar"textsize")) (princ">: ")
         (setq A (getdist PT1))                      ; get user defined text height
         (if (= A nil)  (setq A (getvar "textsize"))); set text height
      )                                             ; end progn
   )                                               ; end if
   (setq D "T")                                   
   (While D                                        ; while d not nil
      (setq E (getstring 1 "\nText:  "))            ; get text
      (if (= E "")  (setq D nil))                   ; check if done
      (if (= SIZ 0.0)  (command "text" PT1 A ROT E)); insert text or
      (if (/= SIZ 0.0)  (command "text" PT1 ROT E)) ; insert text
      (setq PT1 (list (car PT1) (- (cadr PT1) TXTSP))) ; new text location
   ); end while
); end isotxt.lsp
